Subject: Re: [P2PSIP] Peer protocol, DHT and running code

From: Philip Matthews <[email-masked]>
Date: Wed, 20 Jun 2007 18:24:29 -0400

On 20-Jun-07, at 15:57 , David Barrett wrote:

>
> Which brings me back to my original point that ICE hasn't been  
> standardized,
> and hasn't been measured in the real world.  Thus it's reasonable  
> to be
> skeptical of its claims until it's been demonstrated that the  
> standard is
> sufficiently-well defined that a "clean" implementation will actually
> interoperate, and actually solve its intended job.  So far as I can  
> tell,
> neither of these have been proven, and until they have, it's  
> reasonable to
> consider alternatives.

Sure. The standard is not yet finished, so all measurements have been  
made
on preliminary versions of the standard.

And sure, it is reasonable to consider alternatives. Jonathan  
Rosenberg once
started a draft  that did a pros and cons comparison of the different  
proposed
approaches (he dropped it after the -00 version). I proposed in the   
last BEHAVE
meeting that the BEHAVE group should pick this up, but there so far  
no one has
stepped forward to do the work.

Personally, I have not heard of a proposal which I consider more  
compelling.
But I have heard of lots of less-compelling proposals.

Do you have a proposal for an alternative?

- Philip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip